<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('invoices', function(Blueprint $table)
		{
			$table->id();
			$table->timestamps();
			$table->integer('site_id')->unsigned();
			$table->boolean('active')->default(false);

			$table->date('due_at');

			$table->boolean('process_status')->nullable();
			$table->boolean('billing_status')->nullable();
			$table->boolean('print_status')->default(false);
			$table->integer('account_billing_id')->nullable();
			$table->float('discount_amt',10,0)->nullable();
			$table->jsonb('reminders')->nullable();

			$table->integer('account_id')->unsigned();
			$table->foreign(['account_id','site_id'])->references(['id','site_id'])->on('accounts');

			$table->unique(['id','site_id']);
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('invoices');
	}
};